### Enumeration

# Gtk PrintOperationAction

#### Declaration

    enum Gtk.PrintOperationAction

#### Description [src]

Determines what action the print operation should perform.

A parameter of this typs is passed to gtk_print_operation_run().

#### Members

Name | Description
--- | ---
`GTK_PRINT_OPERATION_ACTION_PRINT_DIALOG` | Show the print dialog.
`GTK_PRINT_OPERATION_ACTION_PRINT` | Start to print without showing the print dialog, based on the current print settings.
`GTK_PRINT_OPERATION_ACTION_PREVIEW` | Show the print preview.
`GTK_PRINT_OPERATION_ACTION_EXPORT` | Export to a file. This requires the export-filename property to be set.